Banks
- : Read questions
OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.
Comma-separated; prefix with - for descending. Allowed: created_at.
questions listed
bank not shared with the caller district
GET /api/v2/banks/{bank_id}/questions HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"data": [
{}
],
"meta": {},
"links": {}
}- : Read questions
OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.
question found
unknown question in this bank
GET /api/v2/banks/{bank_id}/questions/{id} HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"data": {}
}- : Read banks
OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.
Comma-separated; prefix with - for descending. Allowed: name, created_at.
banks listed
missing or invalid token
token valid but lacks the banks:read scope
invalid pagination parameter
GET /api/v2/banks HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"data": [
{
"id": "text",
"type": "text",
"attributes": {},
"relationships": {}
}
],
"meta": {},
"links": {}
}- : Read banks
OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.
bank found
bank not shared with the caller district
GET /api/v2/banks/{id} HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"data": {}
}Last updated
Was this helpful?